Install yade 2019a

Asked by jamespaul on 2019-03-16

Hi,

If I type sudo apt install yade,it will install 2018.02b version.

It seems to have version 2019 now.How can i install it?

Thanks,
Feng

Question information

Language:
English Edit question
Status:
Solved
For:
Yade Edit question
Assignee:
No assignee Edit question
Solved by:
Jérôme Duriez
Solved:
2019-03-20
Last query:
2019-03-20
Last reply:
2019-03-18
Chareyre (bruno-chareyre-9) said : #1

>
> It seems to have version 2019 now.
>

?!
What is that all about?

jamespaul (jamespauljames) said : #2

Oh,so you mean 2018b is the latest version?

And what is rev3682 from https://yade-dev.gitlab.io/trunk/FEMxDEM.html?

Best Jérôme Duriez (jduriez) said : #3

Hi,

"And what is rev3682 from https://yade-dev.gitlab.io/trunk/FEMxDEM.html?"

I think it is this 6 years-old version:
https://github.com/yade/trunk/commit/2b6f072ff71de5a835a41d3a31b12cfad37c8538

I think we can say this historical "rev3682" note is not really relevant anymore (sorry..), in the sense any modern time YADE version would fit: you can safely use 2018.02b.

Few hints for checking whether a page of the doc has been recently updated or not (= whether the versions prerequisites it includes, are still relevant and should be closely followed, or not) :

- The "Ubuntu 10.04" note at the top of https://yade-dev.gitlab.io/trunk/FEMxDEM.html already tells you it's not really up-to-date
- checking "history" thanks to our version control systems, eg https://gitlab.com/yade-dev/trunk/commits/master/doc/sphinx/FEMxDEM.rst (where you can browse through the history of changes, and see when the last ones occured)

jamespaul (jamespauljames) said : #4

Thanks Jérôme Duriez, that solved my question.

Janek Kozicki (cosurgi) said : #5